GWTMessagesBuilder (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.server

## Class GWTMessagesBuilder

- java.lang.Object
- - org.gcube.portlets.user.messages.server.GWTMessagesBuilder

-     public class GWTMessagesBuilder
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `IMAGE_SERVICE_URL`
    `protected org.apache.log4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GWTMessagesBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FileModel` | `buildGXTFileModelItem(org.gcube.common.homelibrary.home.workspace.WorkspaceItem item, FileModel parentFolderModel)`
    `List<InfoContactModel>` | `buildGXTListContactsModel(List<org.gcube.common.homelibrary.home.User> listUsers)`
    `protected List<FileModel>` | `buildGXTListFileModelItemForAttachs(List<org.gcube.common.homelibrary.home.workspace.WorkspaceItem> listWorspaceItems)`
    `List<MessageModel>` | `buildGXTListMessageModelForGrid(List<org.gcube.common.homelibrary.home.workspace.sharing.WorkspaceMessage> listMessages, String typeMessages, boolean isPortalMode)`
    `MessageModel` | `buildGXTMessageModel(org.gcube.common.homelibrary.home.workspace.sharing.WorkspaceMessage mess, List<org.gcube.common.homelibrary.home.workspace.WorkspaceItem> listWorkspaceItems, String messageType, boolean isPortalMode)`
    `protected List<String>` | `getFullNameListFromMessage(org.gcube.common.homelibrary.home.workspace.sharing.WorkspaceMessage mess, boolean isPortalMode)`
    `protected FileModel` | `setFolderItemType(FileModel fileModel, org.gcube.common.homelibrary.home.workspace.folder.FolderItem worspaceFolderItem)`
    `protected FileModel` | `setFolderItemTypeForSearch(FileModel fileModel, org.gcube.common.homelibrary.home.workspace.search.SearchFolderItem searchFolderItem)`
    `protected Date` | `toDate(Calendar calendar)`
    `protected Date` | `toDateFormat(Calendar calendar)`
    `protected String` | `toDateFormatToString(Calendar calendar)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IMAGE_SERVICE_URL

          protected static final String IMAGE_SERVICE_URL

      See Also:
        Constant Field Values

    - #### logger

          protected org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### GWTMessagesBuilder

          public GWTMessagesBuilder()

  - ### Method Detail

    - #### toDate

          protected Date toDate(Calendar calendar)

    - #### toDateFormatToString

          protected String toDateFormatToString(Calendar calendar)

    - #### toDateFormat

          protected Date toDateFormat(Calendar calendar)

    - #### setFolderItemType

          protected FileModel setFolderItemType(FileModel fileModel,
                                    org.gcube.common.homelibrary.home.workspace.folder.FolderItem worspaceFolderItem)

    - #### buildGXTListFileModelItemForAttachs

          protected List<FileModel> buildGXTListFileModelItemForAttachs(List<org.gcube.common.homelibrary.home.workspace.WorkspaceItem> listWorspaceItems)
                                                                 throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### buildGXTFileModelItem

          protected FileModel buildGXTFileModelItem(org.gcube.common.homelibrary.home.workspace.WorkspaceItem item,
                                        FileModel parentFolderModel)
                                             throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### setFolderItemTypeForSearch

          protected FileModel setFolderItemTypeForSearch(FileModel fileModel,
                                             org.gcube.common.homelibrary.home.workspace.search.SearchFolderItem searchFolderItem)

    - #### buildGXTListContactsModel

          public List<InfoContactModel> buildGXTListContactsModel(List<org.gcube.common.homelibrary.home.User> listUsers)
                                                           throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### buildGXTListMessageModelForGrid

          public List<MessageModel> buildGXTListMessageModelForGrid(List<org.gcube.common.homelibrary.home.workspace.sharing.WorkspaceMessage> listMessages,
                                                           String typeMessages,
                                                           boolean isPortalMode)
                                                             throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### buildGXTMessageModel

          public MessageModel buildGXTMessageModel(org.gcube.common.homelibrary.home.workspace.sharing.WorkspaceMessage mess,
                                          List<org.gcube.common.homelibrary.home.workspace.WorkspaceItem> listWorkspaceItems,
                                          String messageType,
                                          boolean isPortalMode)
                                            throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### getFullNameListFromMessage

          protected List<String> getFullNameListFromMessage(org.gcube.common.homelibrary.home.workspace.sharing.WorkspaceMessage mess,
                                                boolean isPortalMode)

Copyright © 2014. All Rights Reserved.